CurrentHelper (Java Platform SE 8 )
Keywords: org.omg.PortableServer.CurrentHelper class
Date: 2026-03-29

org.omg.PortableServer

## Class CurrentHelper

- java.lang.Object
- - org.omg.PortableServer.CurrentHelper

-     public abstract class CurrentHelper
      extends Object

  The PortableServer::Current interface, derived from CORBA::Current, provides method implementations with access to the identity of the object on which the method was invoked. The Current interface is provided to support servants that implement multiple objects, but can be used within the context of POA-dispatched method invocations on any servant. To provide location transparency, ORBs are required to support use of Current in the context of both locally and remotely invoked operations. An instance of Current can be obtained by the application by issuing the CORBA::ORB::resolve_initial_references("POACurrent") operation. Thereafter, it can be used within the context of a method dispatched by the POA to obtain the POA and ObjectId that identify the object on which that operation was invoked.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CurrentHelper()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Current` | `extract(Any a)`
    `static String` | `id()`
    `static void` | `insert(Any a, Current that)`
    `static Current` | `narrow(Object obj)`
    `static Current` | `read(InputStream istream)`
    `static TypeCode` | `type()`
    `static void` | `write(OutputStream ostream, Current value)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CurrentHelper

          public CurrentHelper()

  - ### Method Detail

    - #### insert

          public static void insert(Any a,
                                    Current that)

    - #### extract

          public static Current extract(Any a)

    - #### type

          public static TypeCode type()

    - #### id

          public static String id()

    - #### read

          public static Current read(InputStream istream)

    - #### write

          public static void write(OutputStream ostream,
                                   Current value)

    - #### narrow

          public static Current narrow(Object obj)

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2026, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.